Scripting and exe version mismatch

code

#1

GTA V version? b1365
Up to date? Yeah
Legit or Pirate copy? Legit
Steam/CD/Social Club? Steam
Windows version? N/A
Did you try to delete caches.xml and try again? N/A
Error screenshot (if any) N/A
System specifications N/A
What did you do to get this issue? N/A
What server did you get this issue on? Any with client scripts
CitizenFX.log file N/A
.dmp files/report IDs N/A

The latest FiveM (b1290 game) still reports b1103 for its scripthook api thing. Just a heads up, as I’ll be unable to make a PR fix this week.

The wheel offsets have also updated. (and will be updated for b1365 again)

const int WheelRotationSpeedOffset = 0x164; // 0x16C in b1365
const int WheelHealthOffset = 0x1D8; // 0x1E0 in b1365

Background info:
Found this because my steering wheel thing mod stopped working. If anybody’s bothering y’all for a quick fix before a proper next update of FiveM or mine, give them this. It’ll stay online until I properly update, or my Pi burns out.

Workaround:

[23:28:53.722] [ INFO] GTAVManualTransmission v4.6.1 (build Apr  8 2018)
[23:28:53.722] [ INFO] Game version VER_1_0_1103_2_NOSTEAM
[23:28:53.722] [ INFO] Executable: D:\Games\FiveM\FiveM.exe
[23:28:53.723] [ INFO] File Version: 1.0.1290.1
[23:28:53.723] [ WARN] Version mismatch! Using VER_1_0_1290_1_STEAM for script!

#2

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.